Bank Kalteng (Phase 2) - Feature #1514

Email Blast Reminder masa berlaku Sertifikat dan Dokumen karyawan
08/23/2022 11:33 AM - Fachrul Hardianto

Status: Closed Start date: 08/23/2022
Priority: Immediate Due date:

Assignee: Fachrul Hardianto % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Developer,

Mohon ditambahkan Fitur pada email blast dengan filtering "File Type" atau "Skill Type" yang "Expired Date" nya < Expired Date
di Paramaeter Email Blast.

Untuk Skill Type ambil ke table PHRPA0026

HRis-DATABASE Mi..v - dbo.prRea002s - < |

Motes CreateBy CreateDate ChangeBy ChangeDate MameofOrgan... FileData ExpiredDate SkillType
4 asdasdads bintar 20200921150205  bintar 20200921150205 NULL NULL NULL NULL
. mega 20211124151527  mega 20211124151527 456575creensh... | NULL NULL
mega 20211124151527  mega 20211124151527 456575creensh... | NULL NULL
mega 20211124151527  mega 20211124151527 456575creensh.., | NULL NULL
mega 20211124151527 mega 20211124151527 456575creensh... | NULL NULL
erik 20220726160330  erik 20220726160330 NULL
cecep 20220727153933  cecep 20220727153933 NULL
minovais 20220801010800  minovais 20220801010800 NULL
SDMCab 20220804135342  SDMCab 20220804135342 NULL
minovais 20220804133725  minovais 20220823081207 20220831 5
SDMUmum 20220805152136  minovais 20220823080953 20220823 5
minovais 20220822121503  minovais 20220823080807 ABC 0582578968122....| 20221031 p
minovais 20220823081240  minovais 20220823081240 20220831 5
minovais 20220823081110  minovais 20220823081110 20220831 5
N NULL NULL NULL NULL NULL NULL NULL NULL MNULL

Untuk File ID ambil data ke Table PHRPA0013
HRIS-DATABASE.Mi...v - dbo.PHRPADDTI + >0 gliisgaiary
StartDate EndDate EmployeelD Sequence IDType |DDescription ExpiredDate Authority Motes C
20000101 99991231 10000177 1 0o 234242343243 99990131 MNegara Permimpin UAT  az
20200101 99991231 10000764 1 m - 20211231 - - 10
20210101 99991231 10000171 1 0o 33445566773899 | 99990129 m
4 20210101 99991231 10000172 1 m 3344556677588 99990101 m
20210101 99991231 10000173 1 0o 112233445566 99990101 m
20220101 99991231 10000170 1 0o 334455667738 19990105 m
20220105 99991231 10000764 2 05 3344455666778 | 20260615 10
2022031 99991231 10000194 1 o 112233445566 20240301 10
20220407 99991231 10000224 1 0o 3125427438148... | 99991231 ke
20220407 99991231 10000224 2 0o 3125427488148... | 99991231 ke
20220407 99991231 10000228 1 00 1234 20220407 en
20220512 99991231 10000764 3 03 112233445566 99991231 m
20220726 99991231 10000238 1 0o Testing 99991231 Testing eri
20220726 99991231 10000239 1 0o 5746363626 eri
20220730 99991231 10000241 1 00 0876879563000 ce
20220801 99991231 10000242 1 0o 1243432 m
20220804 99991231 10000245 1 0o KTP SC
20220808 99991231 10000244 1 0o KTP m
20220816 99991231 10000297 1 o 865765 20270825 ok SC
N NULL NULL MNULL MNULL MNULL MULL MULL MNULL NULL NI
Tambahan fungsi filter dan list employee di Menu Email Blast
Email Blast
Combo pilihan (Dokumen, Sertifikat pelatihan
Select Employee
Area: \
s . o .
o:fi? Employes Type A Jl_ka Pilih Dokumen, maka tampilkan
FilelD (PHRPAOO37.
gfnelc: . Dok/Sertifikat A .} Jika Pilih Sertifikasi Pelatihan, maka
e Type tampilkan data SkillType (PHRPA0026)
Email Subject:
Expired Date
Atizchment Flle Filter masing2 tipe di atasyang data
"Expired Date nya" lebih kecil dari
Expired Date ini.
E‘ Full Name Nomor Induk Pegaw.. | Employee Area | Employee Office 1D Description  Expired Date Skills Expired Date = Email Address
[~ SHARLITAISABELLASE 89015708 Cabang Kasongan Cabang Kasongan LHKPMN 31/08/2022 shar@gmail.com
[] FapDILLAH 5684735 Cabang Utama Cabang Utama LHKPN 31/08/2022 fad@yahoo.com
Tic Mark Otomatis All, tapi bisa di "Untick" ﬁ
untuk karyawan yang tidak perlu di kirimkan Tampilkan data pegawai yang terkena filter
reminder
Dear All,
Mohon segera kirimkan Laporan Harta Kekayaan sebelum jatuh tempo.
Terimakasih

Jika di klik "Send Mail" , maka Email tersebut akan terkirim kepada seluruh employee yang terkena filter tersebut.

Semoga dapat di mengerti.

Terimakasih.

Menu : Human Resource > Email Blast
Port : hitp://103.168.134.28:31130/
Server : 103.168.134.119

DB : MinovaES_BankKalteng_Dev

History

#1 - 08/23/2022 11:47 AM - Fachrul Hardianto
http://103.168.134.28:31130/

- File clipboard-202208231146-putl3.png added

Mohon Maaf, Koreksi Data File ID ada di tabel PHRPA0037 bukan di PHRPAO0O013.

RIS-DATABASE.Mi...v - dbo.PHRPADDIT = > JESTHRnN rl i of M IR T T e HRI5-DATABASE.Mi...v - dbo.PHRPADD26

equence § FileType  FileMame FileData Motes CreateBy CreateDate ChangeBy Changelate FilelD m
3 » ; 14 lBuku Nikah .95?D1putih 200... l lnando .20220211161536 lnando .20220211161536 l95?{)1 NULL i
. INULL tes 95708WhatsAp... 10000194 20220401162602 10000194 20220401162602 NULL NULL
101 KTP 95712e692a2c2f... kezia 20220407164135  kezia 20220407164135 95712 NULL
NULL Logo 95716LOGO BA... test 10000194 20220408140128 10000194 20220408140128  NULL NULL
NULL Foto 95718LOGC BA... 10000194 20220408143604 10000194 20220408143604 NULL NULL
INULL Invoice Rumah . 95777AYHE3698... 10000192 20220727151459 10000192 20220727151459  NULL NULL
NULL Invoice RS 95781BARCOZE... 10000164 202208011353426 10000164 20220801135426  NULL NULL
NULL Invoice 95785VB RUAZ20... 10000197 20220802113517 10000197 20220802113517  NULL NULL
NULL test 95783LAPORA.. ok 10000198 20220802112024 10000198 20220802112024  NULL NULL
INULL surat undanganl  95780AYHE3698... 10000194 20220801095219 10000194 2022080095219 NULL NULL
NULL test 95778AYHE3698... 10000194 20220727155603 10000194 20220727155603  NULL NULL
| 15 LHKPM 2022 958217896812.jpg minovais 20220822121416  minovais 20220822121416 95821 20220930
| = l}LL NULL NULL NULL NULL NULL NULL NULL NULL NULL NULL
Terimakasih

#2 - 08/24/2022 04:34 PM - Fachrul Hardianto

- Assignee set to Saswanto Tampan

#3 - 08/25/2022 06:03 PM - Fachrul Hardianto

- Status changed from New to Assigned

#4 - 08/30/2022 03:06 PM - Saswanto Tampan
- Status changed from Assigned to QA Test

- Assignee changed from Saswanto Tampan to Fachrul Hardianto

#5 - 09/14/2022 03:13 PM - Fachrul Hardianto
- Status changed from QA Test to Closed

Done, Terimakasih Mang Wanto n Mba Yoma ...

Files

clipboard-202208230824-hinbn.png 30.2 KB 08/23/2022 Fachrul Hardianto
clipboard-202208230847-stput.png 37.3 KB 08/23/2022 Fachrul Hardianto
clipboard-202208231004-d8cii.png 33.8 KB 08/23/2022 Fachrul Hardianto
clipboard-202208231056-gjiw3.png 48.4 KB 08/23/2022 Fachrul Hardianto
clipboard-202208231119-ikmh6.png 52.2 KB 08/23/2022 Fachrul Hardianto
clipboard-202208231146-putl3.png 34.9 KB 08/23/2022 Fachrul Hardianto
